Why Mac OS X only?

Any reason appCode is  Mac OS X only?
  And why did you guys put this as #2 in the most important facts here http://jetbrains.com/objc/index.html ?  

Thanks, Oleg.

0

AppCode requires Xcode. Simple as that :)

0

Yeah, until JetBrains have Java-fied the entire app development process (building UI/xib files, running the code in a simulator, submitting binaries to Apple, (legally) downloading the actual iOS SDK on other platforms), I suspect AppCode will be for Mac OSX only...

0

Apple doesnt want you to develop for iOS / OSX on non-mac systems.

I'd prefer that JB does what they do best - make amazing semantically aware IDE's, and not worry about trying to get around Apple's rules.

0

I'd guess they put it as #2 so people would see it immediately and not wonder why it doesn't run on their favorite OS. And I concur with the others as to why it's Mac OS X only - it needs Xcode.

0

请先登录再写评论。